<?php
/**
 * Default theme options.
 *
 * @package prime-fitness-gym
 */

if ( ! function_exists( 'prime_fitness_gym_get_default_theme_options' ) ) :

	/**
	 * Get default theme options.
	 *
	 * @since 1.0.0
	 *
	 * @return array Default theme options.
	 */
function prime_fitness_gym_get_default_theme_options() {

	$defaults = array();
	

    // Front Page Content
	$defaults['enable_frontpage_content'] 		= true;

	// Slider Section	
	$defaults['enable_featured_slider_section']		    	= true;
	//$defaults['show_slider_colors']		    			= false;	
	$defaults['featured_slider_content_type']		    	= 'featured_slider_page';
	$defaults['featured_slider_category_readmore_text']		= esc_html__('Read More','prime-fitness-gym');
	$defaults['data_slick_speed']					    	= 1000;
	$defaults['data_slick_infinite']				    	= 1;
	$defaults['data_slick_dots']					    	= 1;
	$defaults['data_slick_autoplay']				    	= 1;
	$defaults['data_slick_draggable']				    	= 1;
	$defaults['data_slick_fade']					    	= 1;
	$defaults['number_of_featured_slider_items']	    	= 6;

	// About Section	
	$defaults['enable_featured_about_section']				= true;
	$defaults['about_image_show'] 							= true;
	$defaults['featured_about_section_maintitle']	    		= esc_html__( 'OUR INFORMATION', 'prime-fitness-gym' );
	$defaults['featured_about_section_title']	    		= esc_html__( 'WE ARE GIVING THE BEST QUALITY SERVICES', 'prime-fitness-gym' );
	$defaults['featured_about_section_imagetitle1']	    		= esc_html__( 'ABOUT US', 'prime-fitness-gym' );
	$defaults['featured_about_section_text']	    		= esc_html__( 'Vivamus leo elit, eleifend eget pulvinar at, pretium id diam. Fusce lacinia enim ex, eu accumsan felis mattis et. Pellentesque non libero condimentum, varius nunc vitae, interdum ex. Vivamus facilisis condimentum antepharetra orci. velit.', 'prime-fitness-gym' );
	$defaults['featured_about_section_imagetitle2']	    		= esc_html__( 'ABOUT US', 'prime-fitness-gym' );	
	$defaults['featured_about_section_bxtext1']	    	    = esc_html__( 'We Are Leading In Yoga Class', 'prime-fitness-gym' );	
	$defaults['featured_about_section_bxtext2']	    	    = esc_html__( 'Every Class Have Expert Trainer', 'prime-fitness-gym' );
	$defaults['featured_about_section_bxtext3']	    	    = esc_html__( 'Satisfied Member Testimonials', 'prime-fitness-gym' );	
	$defaults['featured_about_section_bxtext4']	    	    = esc_html__( 'Complete Facilities & Best Quality', 'prime-fitness-gym' );
	$defaults['featured_iconabout1']					    = esc_html__( 'fa-solid fa-circle', 'prime-fitness-gym' );
	$defaults['featured_iconabout2']					    = esc_html__( 'fas fa-user-graduate', 'prime-fitness-gym' );
	$defaults['featured_about_section_features1']	    	= esc_html__( '100% Satisfaction', 'prime-fitness-gym' );
	$defaults['featured_about_section_features2']	    	= esc_html__( 'Annual Pass Programs', 'prime-fitness-gym' );
	$defaults['featured_about_section_features3']	    	= esc_html__( 'Flexible and cost effective', 'prime-fitness-gym' );
	
	$defaults['featured_about_section_buttontext']	    	= esc_html__( 'Read More', 'prime-fitness-gym' );
	$defaults['featured_iconbutnicn']	    				= esc_html__( 'fas fa-arrow-up', 'prime-fitness-gym' );
	// Pass through filter.
	$defaults = apply_filters( 'prime_fitness_gym_filter_default_theme_options', $defaults );
	return $defaults;

	// Inner Blog Page	
	
	$defaults['featured_bloginn_botton_text']				= esc_html__( 'Read More', 'prime-fitness-gym' );

}

endif;

/**
*  Get theme options
*/
if ( ! function_exists( 'prime_fitness_gym_get_option' ) ) :

	/**
	 * Get theme option
	 *
	 * @since 1.0.0
	 *
	 * @param string $key Option key.
	 * @return mixed Option value.
	 */
	function prime_fitness_gym_get_option( $key ) {

		$default_options = prime_fitness_gym_get_default_theme_options();
		if ( empty( $key ) ) {
			return;
		}

		$theme_options = (array)get_theme_mod( 'theme_options' );
		$theme_options = wp_parse_args( $theme_options, $default_options );

		$value = null;

		if ( isset( $theme_options[ $key ] ) ) {
			$value = $theme_options[ $key ];
		}

		return $value;

	}

endif;